Runner(3)

NAME
Runner -

SYNOPSIS

Inherits Communicable, and Thread.

Inherited by peoEA< EOT >.

  Public Member Functions
Runner ()
void start ()
void waitStarting ()
bool isLocal ()
void terminate ()
virtual void run ()=0
RUNNER_ID getID ()
void packTermination ()
void notifySendingTermination ()

  Private Attributes
sem_t sem_start
unsigned id

Detailed Description

Definition at line 34 of file runner.h.

Author

Generated automatically by Doxygen for ParadisEO from the source code.